ONVIF::Device::Elements::CreateCertificate(3)

NAME
ONVIF::Device::Elements::CreateCertificate

DESCRIPTION
Perl data type class for the XML Schema defined element CreateCertificate from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateID

     $element->set_CertificateID($data);
     $element->get_CertificateID();

•   Subject

     $element->set_Subject($data);
     $element->get_Subject();

•   ValidNotBefore

     $element->set_ValidNotBefore($data);
     $element->get_ValidNotBefore();

•   ValidNotAfter

     $element->set_ValidNotAfter($data);
     $element->get_ValidNotAfter();

METHODS

  new
 my $element = ONVIF::Device::Elements::CreateCertificate->new($data);

Constructor. The following data structure may be passed to new():

 {
   CertificateID =>  $some_value, # token
   Subject =>  $some_value, # string
   ValidNotBefore =>  $some_value, # dateTime
   ValidNotAfter =>  $some_value, # dateTime
 },

AUTHOR
Generated by SOAP::WSDL